## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicContext

Class DynamicError

Class EmptyEnumerator

Class ExtensionFunctionCall

Class ExtensionFunctionDefinition

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class Serializer

Class StaticContext

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAnyFunctionType

Class XdmAnyItemType

Class XdmAnyNodeType

Class XdmAtomicType

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmItemType

Class XdmNode

Class XdmNodeKind

Class XdmSequenceType

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXdmEnumerator

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Enum TreeModel

    public enum TreeModel

implements object

  Enumeration identifying the different tree model implementations

Field Summary
`` | `TinyTree` Saxon TinyTree. This is the default model and is suitable for most purposes.
`` | `TinyTreeCondensed` Saxon Condensed TinyTree. This is a variant of the TinyTree that shares storage for duplicated text and attribute nodes. It gives a further saving in space occupied, at the cost of some increase in the time taken for tree construction.
`` | `LinkedTree` Saxon LinkedTree. This tree model is primarily useful when using XQuery Update, since it is the only standard tree model to support updates.
`` | `Unspecified` Unspecified tree model. This value is used to indicate that there is no preference for any specific tree model, which allows the choice to fall back to other interfaces.

Field Detail

### TinyTree

    public  TinyTree

  Saxon TinyTree. This is the default model and is suitable for most purposes.

### TinyTreeCondensed

    public  TinyTreeCondensed

  Saxon Condensed TinyTree. This is a variant of the TinyTree that shares storage for duplicated text and attribute nodes. It gives a further saving in space occupied, at the cost of some increase in the time taken for tree construction.

### LinkedTree

    public  LinkedTree

  Saxon LinkedTree. This tree model is primarily useful when using XQuery Update, since it is the only standard tree model to support updates.

### Unspecified

    public  Unspecified

  Unspecified tree model. This value is used to indicate that there is no preference for any specific tree model, which allows the choice to fall back to other interfaces.